Index: make/ChangeLog
===================================================================
--- make/ChangeLog	(revision 98765cb8680810544fd9f6c80505fead9fba45d6)
+++ make/ChangeLog	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
@@ -1,2 +1,8 @@
+2009-10-01	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* Makefile.am: Add new BSP variants for ARM simulator in GDB.
+	* custom/arm1136jfs.cfg, custom/arm1136js.cfg, custom/arm7tdmi.cfg,
+	custom/arm920.cfg, custom/armcortexa9.cfg: New files.
+
 2009-09-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: make/Makefile.am
===================================================================
--- make/Makefile.am	(revision 98765cb8680810544fd9f6c80505fead9fba45d6)
+++ make/Makefile.am	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
@@ -21,4 +21,9 @@
 dist_rtems_make_custom_DATA = custom/default.cfg
 
+EXTRA_DIST += custom/arm1136jfs.cfg
+EXTRA_DIST += custom/arm1136js.cfg
+EXTRA_DIST += custom/arm7tdmi.cfg
+EXTRA_DIST += custom/arm920.cfg
+EXTRA_DIST += custom/armcortexa9.cfg
 EXTRA_DIST += custom/av5282.cfg
 EXTRA_DIST += custom/avrtest.cfg
Index: make/custom/arm1136jfs.cfg
===================================================================
--- make/custom/arm1136jfs.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
+++ make/custom/arm1136jfs.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
@@ -0,0 +1,21 @@
+#
+#  Config file for GDB ARM Simulator as arm1136jf-s (FPU)
+#
+#  $Id$
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU=arm
+RTEMS_CPU_MODEL=arm1136
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=gdbarmsim
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+# CPU_CFLAGS = -mcpu=arm920 -mstructure-size-boundary=8 
+CPU_CFLAGS = -mcpu=arm1136jf-s
+
+# optimize flag: typically -O2
+CFLAGS_OPTIMIZE_V = -O2 -g
Index: make/custom/arm1136js.cfg
===================================================================
--- make/custom/arm1136js.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
+++ make/custom/arm1136js.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
@@ -0,0 +1,20 @@
+#
+#  Config file for GDB ARM Simulator as arm1136j-s (no FPU)
+#
+#  $Id$
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU=arm
+RTEMS_CPU_MODEL=arm1136
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=gdbarmsim
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+CPU_CFLAGS = -mcpu=arm1136j-s
+
+# optimize flag: typically -O2
+CFLAGS_OPTIMIZE_V = -O2 -g
Index: make/custom/arm7tdmi.cfg
===================================================================
--- make/custom/arm7tdmi.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
+++ make/custom/arm7tdmi.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
@@ -0,0 +1,20 @@
+#
+#  Config file for GDB ARM Simulator as arm7tdmi
+#
+#  $Id$
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU=arm
+RTEMS_CPU_MODEL=arm7tdmi
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=gdbarmsim
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+CPU_CFLAGS = -mcpu=arm7tdmi
+
+# optimize flag: typically -O2
+CFLAGS_OPTIMIZE_V = -O2 -g
Index: make/custom/arm920.cfg
===================================================================
--- make/custom/arm920.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
+++ make/custom/arm920.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
@@ -0,0 +1,21 @@
+#
+#  Config file for GDB ARM Simulator as arm920
+#
+#  $Id$
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU=arm
+RTEMS_CPU_MODEL=arm920
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=gdbarmsim
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+# CPU_CFLAGS = -mcpu=arm920 -mstructure-size-boundary=8 
+CPU_CFLAGS = -mcpu=arm920
+
+# optimize flag: typically -O2
+CFLAGS_OPTIMIZE_V = -O2 -g
Index: make/custom/armcortexa9.cfg
===================================================================
--- make/custom/armcortexa9.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
+++ make/custom/armcortexa9.cfg	(revision 73d04fe8e64e4ed27946982cb1e6fe1039db2180)
@@ -0,0 +1,21 @@
+#
+#  Config file for GDB ARM Simulator as cortex-a9
+#
+#  $Id$
+#
+
+include $(RTEMS_ROOT)/make/custom/default.cfg
+
+RTEMS_CPU=arm
+RTEMS_CPU_MODEL=arm1136
+
+# This is the actual bsp directory used during the build process.
+RTEMS_BSP_FAMILY=gdbarmsim
+
+#  This contains the compiler options necessary to select the CPU model
+#  and (hopefully) optimize for it. 
+# CPU_CFLAGS = -mcpu=arm920 -mstructure-size-boundary=8 
+CPU_CFLAGS = -mcpu=cortex-a9
+
+# optimize flag: typically -O2
+CFLAGS_OPTIMIZE_V = -O2 -g
